
## vybe

vybe is a work-in-progress decentralized **communication network**.

a vybe instance (server) features user accounts and **threads**.

user accounts are owned by PGP keys stored in users' clients.

each thread features a chatroom, a **space**, and audio streams.

a space is like a text blackboard, basically. you can write text and move it around and resize it with your mouse.

once you have an account on any instance, you can connect to and interact with any other instance, right from within your home instance ui.

to run your own instance, clone this repo and:

> `npm install`

then

> `node .`

it will run on port 1312 by default; you can change this by setting PORT on first-run:

> `PORT=1234 node .`

after first-run, the port is configured in instance.json.

currently, you'll need to proxy it through a webserver like nginx or Caddy, which needs to have https enabled for things to work correctly. if you want the easy option, i recommend Caddy. example Caddy config:

> ```
> vybe.my.domain {
> 	reverse_proxy localhost:1312
> }
> ```  

then go to `https://vybe.my.domain` to start using vybe!

let me know if you have any questions or issues. my website is [jerl.zone](https://jerl.zone).
